i am not able to upgrade my ubuntu 16.04 due some snapd not loaded. i have much of all stsements for repairing it

by Abhishek Rout   Last Updated October 10, 2019 03:02 AM - source

I am not able to upgrade my ubuntu 16.04 due snapd not being loaded. I have read much of all statements for repairing it, but am unsure what to do next.

Failed to stop snapd.service: Unit snapd.service not loaded.
dpkg: warning: subprocess old pre-removal script returned error exit status 5
dpkg: trying script from the new package instead ...
Failed to stop snapd.core-fixup.service: Unit snapd.core-fixup.service not loaded.
Failed to stop snapd.failure.service: Unit snapd.failure.service not loaded.
Failed to stop snapd.seeded.service: Unit snapd.seeded.service not loaded.
Failed to stop snapd.service: Unit snapd.service not loaded.
Failed to stop snapd.snap-repair.service: Unit snapd.snap-repair.service not loaded.
Failed to stop snapd.snap-repair.timer: Unit snapd.snap-repair.timer not loaded.
Failed to stop snapd.system-shutdown.service: Unit snapd.system-shutdown.service not loaded.
dpkg: error processing archive /var/cache/apt/archives/snapd_2.40_amd64.deb (--unpack):
 subprocess new pre-removal script returned error exit status 5
Errors were encountered while processing:
 /var/cache/apt/archives/snapd_2.40_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Tags : dpkg


Related Questions


Can pkgsrc build native (.deb) packages on Ubuntu?

Updated August 10, 2017 20:02 PM


dpkg: parse error

Updated April 29, 2015 01:01 AM


I get this error after upgade. please help

Updated June 10, 2015 00:01 AM